#!/bin/sh
KERNVER="`uname -r`"
#110123 If drivers not installed, remove init script (to avoid wait timeout if triggered by udev rule) and exit...
[ "$(find /lib/modules/$(uname -r)/ -maxdepth 2 -type f -name hsfosspec.ko)" ] \
 || ( rm -f /etc/init.d/hsfmodem 2>/dev/null; exit )

#Indicate not configured.
rm -f /etc/hsfmodem/.serial_configured

#120905 Generate blacklist of conflicting modules.  Add 'install' statements to ensure module not loaded. Special 'modemx_' blacklist config file removed by modemprobe_erase when no modem selected.
/usr/sbin/hsfmodconflicts /lib/modules/$(uname -r) | sed -e 's%^\([a-z0-9_\-]*\)\(.*\)%blacklist \1 # temporarily disabled by hsf - conflicts with\2\ninstall \1 /bin/true #conflicts with\2%' > /tmp/modemx_hsf.conflicts.conf

#120927 If an alternative to the hsfmc97 drivers is in use, remove blacklist of those alternatives.
[ -f /etc/modprobe.d/modemx_hsfmc97_blacklist.conf ] \
 && sed -i -e '/hsfmc97/d' /tmp/modemx_hsf.conflicts.conf
if [ -s /tmp/modemx_hsf.conflicts.conf ];then
 mv /tmp/modemx_hsf.conflicts.conf /etc/modprobe.d/
else
 rm -f /tmp/modemx_hsf.conflicts.conf
 rm -f /etc/modprobe.d/modemx_hsf.conflicts.conf
fi

#Use edited config script to create devices and configuration file.
[ -f /usr/sbin/hsfconfig_adapted ] \
 && /usr/sbin/hsfconfig_adapted --serial
